# Uses of Interface
org.eclipse.ui.keys.IKeyFormatter

Packages that use IKeyFormatter
Package
Description
org.eclipse.ui.keys
Provides support for integrating keys into the Eclipse workbench.

## Uses of IKeyFormatter in org.eclipse.ui.keys

Methods in org.eclipse.ui.keys that return IKeyFormatter
Modifier and Type
Method
Description
`static IKeyFormatter`
KeyFormatterFactory.`getCompactKeyFormatter()`
Deprecated.
Provides an instance of `CompactKeyFormatter`.
`static IKeyFormatter`
KeyFormatterFactory.`getDefault()`
Deprecated.
An accessor for the current default key formatter.
`static IKeyFormatter`
KeyFormatterFactory.`getEmacsKeyFormatter()`
Deprecated.
Provides an instance of `EmacsKeyFormatter`.
`static IKeyFormatter`
KeyFormatterFactory.`getFormalKeyFormatter()`
Deprecated.
Provides an instance of `FormalKeyFormatter`.
`static IKeyFormatter`
SWTKeySupport.`getKeyFormatterForPlatform()`
Deprecated.
Provides an instance of `IKeyFormatter` appropriate for the current instance.
Methods in org.eclipse.ui.keys with parameters of type IKeyFormatter
Modifier and Type
Method
Description
`static void`
KeyFormatterFactory.`setDefault(IKeyFormatter defaultKeyFormatter)`
Deprecated.
Sets the default key formatter.